#include <bits/stdc++.h>
#include "guess.h"
using namespace std;
int find_number(int MAX) {
    int p2=(1<<30);
    int res=0;
    while(p2){
        if(!smaller(res+p2)){
            res+=p2;
        }
        p2/=2;
    }
    return res;
}

